# Gimp.Channel

    from gi.repository import Gimp

    channel = Gimp.Channel()

Functions for manipulating channels.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Drawable
      - Gimp.Channel

## Methods

- Gimp.Channel.combine_masks
- Gimp.Channel.copy
- Gimp.Channel.get_color
- Gimp.Channel.get_opacity
- Gimp.Channel.get_show_masked
- Gimp.Channel.set_color
- Gimp.Channel.set_opacity
- Gimp.Channel.set_show_masked

## Static Functions

- Gimp.Channel.get_by_id

## Fields

- Gimp.Channel->parent_instance